List supervisor notes for a conversation
curl --request GET \
--url https://api.orbit.devotel.io/api/v1/agents/conversations/{conversationId}/supervisor-notes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.orbit.devotel.io/api/v1/agents/conversations/{conversationId}/supervisor-notes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.orbit.devotel.io/api/v1/agents/conversations/{conversationId}/supervisor-notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"conversation_id": "<string>",
"notes": [
{
"id": "<string>",
"note": "<string>",
"author_user_id": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
]
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docs_url": "<string>"
}
}Agents
List supervisor notes for a conversation
Return the most recent supervisor notes attached to an agent conversation (up to 20, newest first) for the history panel and audit trail. Requires an owner, admin, or supervisor role.
GET
/
api
/
v1
/
agents
/
conversations
/
{conversationId}
/
supervisor-notes
List supervisor notes for a conversation
Authorizations
BearerApiKey
Dashboard JWT token from Clerk
Path Parameters
Agent conversation identifier.
⌘I